Rebuild project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /company/{companyId}/project/{projectId}/project-rebuild

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
application/json

Body Required

  • newProjectId integer(int64)
  • files array[object]
    Hide files attributes Show files attributes object
    • fileId string(uuid)
    • file string
    • originalFileName string
    • dataDate string(date-time)
    • skipSubsetValidations boolean
    • importLogHitRateGoal integer(int32)
  • scenarioConfiguration object
    Hide scenarioConfiguration attribute Show scenarioConfiguration attribute object
    • * string Additional properties
  • requester string
  • requesterCompanyName string
  • aiTenantId string

Responses

  • 200 */*

    OK

    Hide response attribute Show response attribute object
    • id integer(int64)
POST /company/{companyId}/project/{projectId}/project-rebuild
curl \
 --request POST 'https://live.smartpmtech.com/company/{companyId}/project/{projectId}/project-rebuild' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "newProjectId": 42,
  "files": [
    {
      "fileId": "string",
      "file": "string",
      "originalFileName": "string",
      "dataDate": "2026-05-04T09:42:00Z",
      "skipSubsetValidations": true,
      "importLogHitRateGoal": 42
    }
  ],
  "scenarioConfiguration": {
    "additionalProperty1": "string",
    "additionalProperty2": "string"
  },
  "requester": "string",
  "requesterCompanyName": "string",
  "aiTenantId": "string"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "newProjectId": 42,
  "files": [
    {
      "fileId": "string",
      "file": "string",
      "originalFileName": "string",
      "dataDate": "2026-05-04T09:42:00Z",
      "skipSubsetValidations": true,
      "importLogHitRateGoal": 42
    }
  ],
  "scenarioConfiguration": {
    "additionalProperty1": "string",
    "additionalProperty2": "string"
  },
  "requester": "string",
  "requesterCompanyName": "string",
  "aiTenantId": "string"
}
Response examples (200)
{
  "id": 42
}